curl "https://api.unipay.com/v1/webhooks" \
-H "Authorization: Bearer YOUR_API_KEY"
const webhooks = await fetch(
'https://api.unipay.com/v1/webhooks',
{ headers: { 'Authorization': 'Bearer YOUR_API_KEY' } }
);
{
"webhooks": [
{
"webhookId": "wh_123",
"url": "https://your-app.com/webhooks",
"events": ["transaction.completed"],
"createdAt": "2026-04-22T12:00:00Z"
}
]
}
Webhooks
List Webhooks
Get all registered webhooks
GET
/
v1
/
webhooks
curl "https://api.unipay.com/v1/webhooks" \
-H "Authorization: Bearer YOUR_API_KEY"
const webhooks = await fetch(
'https://api.unipay.com/v1/webhooks',
{ headers: { 'Authorization': 'Bearer YOUR_API_KEY' } }
);
{
"webhooks": [
{
"webhookId": "wh_123",
"url": "https://your-app.com/webhooks",
"events": ["transaction.completed"],
"createdAt": "2026-04-22T12:00:00Z"
}
]
}
List Webhooks
Retrieve all webhooks registered for your account.Response
array
Array of webhook objects
curl "https://api.unipay.com/v1/webhooks" \
-H "Authorization: Bearer YOUR_API_KEY"
const webhooks = await fetch(
'https://api.unipay.com/v1/webhooks',
{ headers: { 'Authorization': 'Bearer YOUR_API_KEY' } }
);
{
"webhooks": [
{
"webhookId": "wh_123",
"url": "https://your-app.com/webhooks",
"events": ["transaction.completed"],
"createdAt": "2026-04-22T12:00:00Z"
}
]
}
⌘I